<?php
defined('C5_EXECUTE') or die("Access Denied.");
$th = Loader::helper('text');
$c = Page::getCurrentPage();
$dh = Core::make('helper/date'); /* @var $dh \Concrete\Core\Localization\Service\Date */

?>
    <?php 
    $html = Core::make('helper/html');
    $this->addFooterItem($html->javascript('imagesloaded.pkgd.min.js','oh_love'));
    $this->addFooterItem($html->javascript('masonry.pkgd.min.js','oh_love'));
    $this->addFooterItem($html->javascript('masony.option.js','oh_love'));
    
    ?>

<?php if ( $c->isEditMode() && $controller->isBlockEmpty()) { ?>
    <div class="ccm-edit-mode-disabled-item"><?php echo t('Empty Page List Block.')?></div>
<?php } else { ?>

    <div class="ccm-block-page-list-wrapper">
    
        <?php if (isset($pageListTitle) && $pageListTitle): ?>
            <div class="ccm-block-page-list-header">
                <h5><?php echo h($pageListTitle)?></h5>
            </div>
        <?php endif; ?>
    
        <?php if (isset($rssUrl) && $rssUrl): ?>
            <a href="<?php echo $rssUrl ?>" target="_blank" class="ccm-block-page-list-rss-feed"><i class="fa fa-rss"></i></a>
        <?php endif; ?>
    
        <div class="ccm-block-page-list-pages">
    
            <?php
        
            $includeEntryText = false;
            if (
                (isset($includeName) && $includeName)
                ||
                (isset($includeDescription) && $includeDescription)
                ||
                (isset($useButtonForLink) && $useButtonForLink)
            ) {
                $includeEntryText = true;
            }
        
            foreach ($pages as $page):
        
        		// Prepare data for each page being listed...
                $buttonClasses = 'ccm-block-page-list-read-more';
                $entryClasses = 'ccm-block-page-list-page-entry';
        		$title = $th->entities($page->getCollectionName());
        		$url = ($page->getCollectionPointerExternalLink() != '') ? $page->getCollectionPointerExternalLink() : $nh->getLinkToCollection($page);
        		$target = ($page->getCollectionPointerExternalLink() != '' && $page->openCollectionPointerExternalLinkInNewWindow()) ? '_blank' : $page->getAttribute('nav_target');
        		$target = empty($target) ? '_self' : $target;
        		$description = $page->getCollectionDescription();
        		$description = $controller->truncateSummaries ? $th->wordSafeShortText($description, $controller->truncateChars) : $description;
        		$description = $th->entities($description);
                $thumbnail = false;
                if ($displayThumbnail) {
                    $thumbnail = $page->getAttribute('thumbnail');
                }
                if (is_object($thumbnail) && $includeEntryText) {
                    $entryClasses = 'ccm-block-page-list-page-entry-horizontal';
                }
        
                //$date = $dh->formatDateTime($page->getCollectionDatePublic(), true);
                $date = $dh->formatDate($page->getCollectionDatePublic(), true);
        
        
        		//Other useful page data...
        
        
        		//$last_edited_by = $page->getVersionObject()->getVersionAuthorUserName();
        
        		//$original_author = Page::getByID($page->getCollectionID(), 1)->getVersionObject()->getVersionAuthorUserName();
        
        		/* CUSTOM ATTRIBUTE EXAMPLES:
        		 * $example_value = $page->getAttribute('example_attribute_handle');
        		 *
        		 * HOW TO USE IMAGE ATTRIBUTES:
        		 * 1) Uncomment the "$ih = Loader::helper('image');" line up top.
        		 * 2) Put in some code here like the following 2 lines:
        		 *      $img = $page->getAttribute('example_image_attribute_handle');
        		 *      $thumb = $ih->getThumbnail($img, 64, 9999, false);
        		 *    (Replace "64" with max width, "9999" with max height. The "9999" effectively means "no maximum size" for that particular dimension.)
        		 *    (Change the last argument from false to true if you want thumbnails cropped.)
        		 * 3) Output the image tag below like this:
        		 *		<img src="<?php echo $thumb->src ?>" width="<?php echo $thumb->width ?>" height="<?php echo $thumb->height ?>" alt="" />
        		 *
        		 * ~OR~ IF YOU DO NOT WANT IMAGES TO BE RESIZED:
        		 * 1) Put in some code here like the following 2 lines:
        		 * 	    $img_src = $img->getRelativePath();
        		 *      $img_width = $img->getAttribute('width');
        		 *      $img_height = $img->getAttribute('height');
        		 * 2) Output the image tag below like this:
        		 * 	    <img src="<?php echo $img_src ?>" width="<?php echo $img_width ?>" height="<?php echo $img_height ?>" alt="" />
        		 */
        
        		/* End data preparation. */
        
        		/* The HTML from here through "endforeach" is repeated for every item in the list... */ ?>
                
                <div class="<?php echo $entryClasses?>">
                    <?php if($page->getAttribute('share_thumbnail_effect') == 'width'){?>
                    <article class="box masonry-brick clearfix shadow">
                        <div class="post-content-width">
                            <div class="img-wrap">
                                <a href="<?php echo $url ?>" target="<?php echo $target ?>">
                                    <figure>
                                        <?php if (is_object($thumbnail)): ?>
                                        <?php
                                            $src = $thumbnail->getThumbnailURL('share_thumbnail_width');
                                            $tag = new \HtmlObject\Image();
                                            $tag->src($src)->width(488)->height(274);
                                            // $img = Core::make('html/image', array($thumbnail));
                                            // $tag = $img->getTag();
                                            print $tag;
                                        ?>
                                        <?php 
                                        else: 
                                            echo '<img src="'.$view->getThemePath().'/img/no-image-width.png" width="488" height="274" alt="">';
                                        ?>
                                        <?php endif; ?>
                                        <figcaption>
                                            sample<br>caption
                                        </figcaption>
                                    </figure>
                                </a>
                            </div><!--img-wrap-->
                            
                            
							<div class="post-text">
								<div class="category">
									<span class="category-title">category：</span>
									<span class="category-name">
									    <?php echo Page::getByID($page->getCollectionParentID())->getCollectionName() ; ?>
									    <?php // echo $page->getAttribute("share_category_name") ?>
                                    </span>
								</div>
								<h3 class="post-title">
								    <a href="<?php echo $url ?>" target="<?php echo $target ?>">
								        <?php echo h($title) ;?>
								    </a>
								</h3>
								<div class="post-comment">
								     <?php echo $description ?>
								</div>
							</div>
							
							<hr class="post-border">
							
							<div class="post-entry">
								<span class="day">
    								<?php
    									echo $date;
    								?>
								</span>
								<a class="continue" href="<?php echo $url ?>" target="<?php echo $target ?>">Read More</a>
							</div>
							
                        </div><!--post-content-width-->
                    </article><!--box masonry-brick clearfix shadow-->
                    <?php }else if($page->getAttribute('share_thumbnail_effect')=='height'){ ?>
                    <article class="box masonry-brick clearfix shadow">
                        <div class="post-content-height">
                            <div class="img-wrap">
                                <a href="<?php echo $url ?>" target="<?php echo $target ?>">
                                    <figure>
                                        <?php if (is_object($thumbnail)): ?>
                                        <?php
                                            $src = $thumbnail->getThumbnailURL('share_thumbnail_height');
                                            $tag = new \HtmlObject\Image();
                                            $tag->src($src)->width(210)->height(371);
                                            // $img = Core::make('html/image', array($thumbnail));
                                            // $tag = $img->getTag();
                                            print $tag;
                                        ?>
                                        <?php 
                                        else: 
                                            echo '<img src="'.$view->getThemePath().'/img/no-image-height.png" width="210" height="371" alt="">';
                                        ?>
                                        <?php endif; ?>
                                        <figcaption>
                                            sample<br>caption
                                        </figcaption>
                                    </figure>
                                </a>
                            </div><!--img-wrap-->
                            
                            
							<div class="post-text">
								<div class="category">
									<span class="category-title">category：</span>
									<span class="category-name">
									    <?php echo Page::getByID($page->getCollectionParentID())->getCollectionName() ; ?>
                                    </span>
								</div>
								<h3 class="post-title">
								    <a href="<?php echo $url ?>" target="<?php echo $target ?>">
								        <?php echo h($title) ;?>
								    </a>
								</h3>
								<div class="post-comment">
								     <?php echo $description ?>
								</div>
							</div>
							
							<hr class="post-border">
							
							<div class="post-entry">
								<span class="day">
    								<?php
    									echo $date;
    								?>
								</span>
								<a class="continue" href="<?php echo $url ?>" target="<?php echo $target ?>">Read More</a>
							</div>
							
                        </div><!--post-content-height-->
                    </article><!--box masonry-brick clearfix shadow-->
                    <?php }else if($page->getAttribute('share_thumbnail_effect') == 'square'){ ?>
                    <article class="box masonry-brick clearfix shadow">
                        <div class="post-content-square">
                            <div class="img-wrap">
                                <a href="<?php echo $url ?>" target="<?php echo $target ?>">
                                    <figure>
                                        <?php if (is_object($thumbnail)): ?>
                                        <?php
                                            $src = $thumbnail->getThumbnailURL('share_thumbnail_square');
                                            $tag = new \HtmlObject\Image();
                                            $tag->src($src)->width(210)->height(116);
                                            // $img = Core::make('html/image', array($thumbnail));
                                            // $tag = $img->getTag();
                                            print $tag;
                                        ?>
                                        <?php 
                                        else: 
                                            echo '<img src="'.$view->getThemePath().'/img/no-image-square.png" width="210" height="116" alt="">';
                                        ?>
                                        <?php endif; ?>
                                        <figcaption>
                                            sample<br>caption
                                        </figcaption>
                                    </figure>
                                </a>
                            </div><!--img-wrap-->
                            
                            
							<div class="post-text">
								<div class="category">
									<span class="category-title">category：</span>
									<span class="category-name">
									    <?php echo Page::getByID($page->getCollectionParentID())->getCollectionName() ; ?>
                                    </span>
								</div>
								<h3 class="post-title">
								    <a href="<?php echo $url ?>" target="<?php echo $target ?>">
								        <?php echo h($title) ;?>
								    </a>
								</h3>
								<div class="post-comment">
								     <?php echo $description ?>
								</div>
							</div>
							
							<hr class="post-border">
							
							<div class="post-entry">
								<span class="day">
    								<?php
    									echo $date;
    								?>
								</span>
								<a class="continue" href="<?php echo $url ?>" target="<?php echo $target ?>">Read More</a>
							</div>
							
                        </div><!--post-content-square-->
                    </article><!--box masonry-brick clearfix shadow-->
                    <?php }else{  // no image ?>
                    <article class="box masonry-brick clearfix shadow">
                        <div class="post-content-title">
                            
							<div class="post-text">
								<div class="category">
									<span class="category-title">category：</span>
									<span class="category-name">
									    <?php echo Page::getByID($page->getCollectionParentID())->getCollectionName() ; ?>
                                    </span>
								</div>
								<h3 class="post-title">
								    <a href="<?php echo $url ?>" target="<?php echo $target ?>">
								        <?php echo h($title) ;?>
								    </a>
								</h3>
								<div class="post-comment">
								     <?php echo $description ?>
								</div>
							</div>
							
							<hr class="post-border">
							
							<div class="post-entry">
								<span class="day">
    								<?php
    									echo $date;
    								?>
								</span>
								<a class="continue" href="<?php echo $url ?>" target="<?php echo $target ?>">Read More</a>
							</div>
							
                        </div><!--post-content-title-->
                    </article><!--box masonry-brick clearfix shadow-->
                    <?php } ?>
                    
                </div><!--entryClasses-->
        
        <?php endforeach; ?>
        </div><!--ccm-block-page-list-pages-->
    
        <?php if (count($pages) == 0): ?>
            <div class="ccm-block-page-list-no-pages"><?php echo h($noResultsMessage)?></div>
        <?php endif;?>

    </div><!-- end .ccm-block-page-list -->

<?php if ($showPagination): ?>
    <?php echo $pagination;?>
<?php endif; ?>

<?php } ?>
