<?php
namespace Concrete\Package\OhLove\Theme\OhLove;

use Concrete\Core\Page\Theme\Theme; 

use Concrete\Core\Area\Layout\Preset\Provider\ThemeProviderInterface;

class PageTheme extends Theme implements ThemeProviderInterface {

	protected $pThemeGridFrameworkHandle = 'bootstrap3';

	public function getThemeName(){
		return t('OhLove');
	}
	public function getThemeDescription(){
		return t('My second theme in the concrete5 is "OH LOVE".This theme will be the Blog type Web site.Please attention to the thumbnail function.This theme is compatible responsive.Since v5.7.5.9, or it can be customized in v8.');
	}

	public function registerAssets() {
		$this->providesAsset('css', 'bootstrap/*');
		$this->providesAsset('css', 'font-awesome');
		$this->providesAsset('javascript', 'bootstrap/*');
		$this->requireAsset('javascript', 'jquery');
	}

	public function getThemeAreaLayoutPresets()
	{
			$presets = array(
					array(
							'handle' => 'left_sidebar',
							'name' => 'Left Sidebar',
							'container' => '<div class="row"></div>',
							'columns' => array(
									'<div class="col-sm-4"></div>',
									'<div class="col-sm-8"></div>'
							),
					),
					array(
							'handle' => 'right_sidebar',
							'name' => 'Right Sidebar',
							'container' => '<div class="row"></div>',
							'columns' => array(
									'<div class="col-sm-8"></div>',
									'<div class="col-sm-4"></div>'
							),
					)
			);
			return $presets;
	}

	public function getThemeEditorClasses()
	{
		return array(
		array('title' => 'Horizon Line', 'menuClass' => 'border-bottom', 'spanClass' => 'border-bottom', 'forceBlock' => 1),
		);
	}

}